Ciele

Read a Teammate's execution permissions and available harnesses

GET/api/v1/teammates/{id}/runtime

Requires an Organization API key with the member capability.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/teammates/string/runtime"
{  "computerConfigured": true,  "harnesses": [    {      "id": "string",      "name": "string"    }  ],  "config": {    "harness": {      "kind": "ciele"    },    "internet": true,    "computer": {      "browser": true,      "files": true,      "terminal": true    }  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}